Skip to content
Start here

Get Cancel Reason

client.accounts.subscriptions.cancelReason.get(stringsubscriptionIdentifier, CancelReasonGetParams { account_id } params, RequestOptionsoptions?): CancelReasonGetResponse { id, other, reason_code, 2 more }
GET/accounts/{account_id}/subscriptions/{subscription_identifier}/cancel-reason

Gets the cancellation reason for an account subscription.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
subscriptionIdentifier: string

Subscription identifier tag.

maxLength32
params: CancelReasonGetParams { account_id }
account_id: string

Identifier

maxLength32
ReturnsExpand Collapse
CancelReasonGetResponse { id, other, reason_code, 2 more }
id?: string

The cancel reason identifier.

other?: string

Additional cancellation details.

reason_code?: Array<string>

The cancellation reason codes.

submitted?: string

When the cancel reason was submitted.

formatdate-time
subscription_id?: string

The subscription identifier.

Get Cancel Reason

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const cancelReason = await client.accounts.subscriptions.cancelReason.get(
  '506e3185e9c882d175a2d0cb0093d9f2',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(cancelReason.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "other": "other",
    "reason_code": [
      "string"
    ],
    "submitted": "2019-12-27T18:11:19.117Z",
    "subscription_id": "subscription_id"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "other": "other",
    "reason_code": [
      "string"
    ],
    "submitted": "2019-12-27T18:11:19.117Z",
    "subscription_id": "subscription_id"
  },
  "success": true
}